# JavaToolchainResolverRegistry

@Incubating
interface JavaToolchainResolverRegistry

The build level object/service provided by Gradle which Java toolchain provisioning plugins can access to register their `JavaToolchainResolver` implementations/build services into.

#### Since

7.6

## Functions

register
Link copied to clipboard
abstract fun <T : JavaToolchainResolver?> register(implementationType: Class<T>)
Registers a `JavaToolchainResolver` implementation.
register
Link copied to clipboard
@Incubating
inline fun <T : JavaToolchainResolver> JavaToolchainResolverRegistry.register(implementationType: KClass<T>)

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.jvm.toolchain.JavaToolchainResolverRegistry.register.